Bug 1956643 - Review Request: python-matplotlib-inline - Inline Matplotlib backend for Jupyter
Summary: Review Request: python-matplotlib-inline - Inline Matplotlib backend for Jupyter
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Miro Hrončok
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1955903
TreeView+ depends on / blocked
 
Reported: 2021-05-04 06:54 UTC by Lumír Balhar
Modified: 2021-05-05 08:17 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-05-05 06:18:36 UTC
Type: ---
mhroncok: fedora-review+


Attachments (Terms of Use)

Description Lumír Balhar 2021-05-04 06:54:41 UTC
Spec URL: https://lbalhar.fedorapeople.org/python-matplotlib-inline.spec
SRPM URL: https://lbalhar.fedorapeople.org/python-matplotlib-inline-0.1.2-1.fc33.src.rpm
Description: Inline Matplotlib backend for Jupyter
Fedora Account System Username: lbalhar

The new version of ipython depends on this package - see https://github.com/ipython/ipython/blob/master/docs/source/whatsnew/version7.rst#ipython-723

Scratch build: https://koji.fedoraproject.org/koji/taskinfo?taskID=67197182

This package has no tests yet but I've verified that the latest ipython and notebook build and work well with it.

Comment 1 Miro Hrončok 2021-05-04 08:24:37 UTC
Spec sanity:

> URL:            https://github.com/martinRenou/matplotlib-inline

Consider using https://github.com/ipython/matplotlib-inline already:

https://github.com/ipython/matplotlib-inline/commit/bd8dc4eeb1d705c340fbf16d0f7d995538a70b32


> %generate_buildrequires
> %pyproject_buildrequires

This happens after %prep, please move it there so the spec order == execution order.


> %description
> Inline Matplotlib backend for Jupyter

Descriptions should be sentences and end with .
I realize upstream does not give much info here :/


> # Remove bundled egg-info
> rm -rf matplotlib-inline.egg-info

This should be never needed with pyproject macros. (It is also rarely needed with the traditional macros.)

Comment 2 Miro Hrončok 2021-05-04 08:42:27 UTC
Other than that, ready for approval:


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "BSD 3-clause "New" or "Revised" License", "Unknown or
     generated". 11 files have unknown license.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package must not depend on deprecated() packages.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Packages MUST NOT have dependencies (either build-time or runtime) on
     packages named with the unversioned python- prefix unless no properly
     versioned package exists. Dependencies on Python packages instead MUST
     use names beginning with python2- or python3- as appropriate.
[x]: Python packages must not contain %{pythonX_site(lib|arch)}/* in %files
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Sources are verified with gpgverify first in %prep if upstream
     publishes signatures.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[?]: Package should compile and build into binary rpms on all supported
     architectures.
[!]: %check is present and all tests pass.
     Note: No tests in upstream.
[?]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python3-matplotlib-inline-0.1.2-1.fc35.noarch.rpm
          python-matplotlib-inline-0.1.2-1.fc35.src.rpm
2 packages and 0 specfiles checked; 0 errors, 0 warnings.




Rpmlint (installed packages)
----------------------------
1 packages and 0 specfiles checked; 0 errors, 0 warnings.



Source checksums
----------------
https://files.pythonhosted.org/packages/source/m/matplotlib-inline/matplotlib-inline-0.1.2.tar.gz :
  CHECKSUM(SHA256) this package     : f41d5ff73c9f5385775d5c0bc13b424535c8402fe70ea8210f93e11f3683993e
  CHECKSUM(SHA256) upstream package : f41d5ff73c9f5385775d5c0bc13b424535c8402fe70ea8210f93e11f3683993e


Requires
--------
python3-matplotlib-inline (rpmlib, GLIBC filtered):
    python(abi)
    python3.9dist(traitlets)



Provides
--------
python3-matplotlib-inline:
    python-matplotlib-inline
    python3-matplotlib-inline
    python3.9-matplotlib-inline
    python3.9dist(matplotlib-inline)
    python3dist(matplotlib-inline)



Generated by fedora-review 0.7.0 (fed5495) last change: 2019-03-17
Command line :try-fedora-review -b 1956643 -m fedora-rawhide-x86_64 --mock-options=--enablerepo=local
Buildroot used: fedora-rawhide-x86_64
Active plugins: Python, Shell-api, Generic
Disabled plugins: fonts, C/C++, Ruby, PHP, Haskell, SugarActivity, Java, Perl, R, Ocaml
Disabled flags: EPEL6, EPEL7, DISTTAG, BATCH, EXARCH

Comment 3 Lumír Balhar 2021-05-04 10:28:22 UTC
All updated except description which I update later according to info from upstream.

Comment 4 Miro Hrončok 2021-05-04 12:18:37 UTC
APPROVED.

Comment 5 Gwyn Ciesla 2021-05-04 13:01:23 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/python-matplotlib-inline

Comment 7 Miro Hrončok 2021-05-05 08:17:46 UTC
Awesome. Please consider:

1) adding @python-sig as a co-maintainer
2) enabling https://koschei.fedoraproject.org/package/python-matplotlib-inline


Note You need to log in before you can comment on or make changes to this bug.